Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.search.utils
Class EnterpriseSearchBuilder

    java.lang.Object
      com.bea.apps.groupspace.search.utils.EnterpriseSearchBuilder

    public class EnterpriseSearchBuilder

extends Object

This class will search both the binary field and metadata for the named text. It is to be used by the EnterpriseSearchControl ONLY

Use of this class assumes the Autonomy Search Engine is running.

Constructor Summary
`EnterpriseSearchBuilder()`

Method Summary
`com.bea.content.expression.FullTextSearch[]` | `allTheseWords(IMetadataQueryParameter[] metaParams, String[] allWords)`
`com.bea.content.expression.FullTextSearch[]` | `anyOfTheseWords(IMetadataQueryParameter[] metaParams, String[] anyWords)` Construct a FullTextSearch object that will search content for "any of these words".
`com.bea.content.expression.FullTextSearch[]` | `thisExactPhrase(IMetadataQueryParameter[] metaParams, String exactPhrase)` Construct a FullTextSearch object that will search content for "this exact phrase".
`String[]` | `trim(String words)` Remove commas or spaces, then trim white spaces, and return an array of String

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnterpriseSearchBuilder

    public EnterpriseSearchBuilder()

Method Detail

### allTheseWords

    public com.bea.content.expression.FullTextSearch[] allTheseWords(IMetadataQueryParameter[] metaParams,
                                                                     String[] allWords)
                                                              throws Exception

  Throws
    `Exception`

### anyOfTheseWords

    public com.bea.content.expression.FullTextSearch[] anyOfTheseWords(IMetadataQueryParameter[] metaParams,
                                                                       String[] anyWords)
                                                                throws Exception

  Construct a FullTextSearch object that will search content for "any of these words".

  Throws
    `Exception`

### thisExactPhrase

    public com.bea.content.expression.FullTextSearch[] thisExactPhrase(IMetadataQueryParameter[] metaParams,
                                                                       String exactPhrase)
                                                                throws Exception

  Construct a FullTextSearch object that will search content for "this exact phrase". There may be only one phrase in the 'words' parameter.

  Throws
    `Exception`

### trim

    public String[] trim(String words)

  Remove commas or spaces, then trim white spaces, and return an array of String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved